develooper Front page | perl.perl5.porters | Postings from February 2013

Re: [perl #116915] require a "I know EBCDIC is threatened" switch toConfigure

Thread Previous
From:
Ricardo Signes
Date:
February 25, 2013 17:05
Subject:
Re: [perl #116915] require a "I know EBCDIC is threatened" switch toConfigure
Message ID:
20130225170541.GA14130@cancer.codesimply.com
* John Goodyear <johngood@us.ibm.com> [2013-02-25T11:36:20]
> I'm just getting started with my efforts on z/OS.
> 
> It's early, but are my efforts enough to allow you to put away the
> cleaver ?

My thinking is that if you succeed (and I wish you luck and help!), we can
remove the warning.  The warning should say something like:

  Support for EBCDIC platforms is currently poor.  Although attempts are being
  made to restore it, EBCDIC support may be removed before 5.20.0.  For more
  information on the status of EBCDIC in perl, consult X or Y.

  To attempt to configure perl for this machine anyway, pass -D....

X or Y would probably be perl-mvs and an RT ticket for the issue.

This warning will serve as one more level of alert to anyone trying to build
perl on EBCDIC, and can be removed if things get reliably back on the rails and
under regular smoking.

Presumably, almost no one will actually be *in*convenienced by this message,
since after adding -DACK_EBCDIC_WARNING, things are still going to be broken.
This is more an attempt to get any last few eyeballs on the problem, rather
than to swing the axe further back.  Or maybe it's a bit of both.

-- 
rjbs

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About